Bug 137020 - New port: comms/dfu-programmer Programmer for USB Atmel device
Summary: New port: comms/dfu-programmer Programmer for USB Atmel device
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-23 02:30 UTC by Emmanuel Vadot
Modified: 2009-12-08 17:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.01 KB, text/plain)
2009-07-23 02:30 UTC, Emmanuel Vadot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot 2009-07-23 02:30:05 UTC
dfu-programmer is a Device Firmware Update based USB programmer
for Atmel chips with a USB bootloader.

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-12-08 15:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2009-12-08 15:44:01 UTC
> Synopsis: New port: comms/dfu-programmer Programmer for USB Atmel device
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137020

What do you think of a bit improved version?

--- dfu-programmer-0.5.1.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dfu-programmer
#	dfu-programmer/distinfo
#	dfu-programmer/pkg-descr
#	dfu-programmer/Makefile
#
echo c - dfu-programmer
mkdir -p dfu-programmer > /dev/null 2>&1
echo x - dfu-programmer/distinfo
sed 's/^X//' >dfu-programmer/distinfo << '72f7528acab3532c3b1edb2bbc8f4e8f'
XMD5 (dfu-programmer-0.5.1.tar.gz) = 2c653fcb0aac1c52b0a5ab8a7ecd60ba
XSHA256 (dfu-programmer-0.5.1.tar.gz) = 3c875a0ed7a38302fc2fa956c0170851c4cce4dc82110c1fd5210b26cc4a8088
XSIZE (dfu-programmer-0.5.1.tar.gz) = 112283
72f7528acab3532c3b1edb2bbc8f4e8f
echo x - dfu-programmer/pkg-descr
sed 's/^X//' >dfu-programmer/pkg-descr << '0427d08578283a6bc166a545153277b6'
Xdfu-programmer is a Device Firmware Update based USB programmer
Xfor Atmel chips with a USB bootloader.
0427d08578283a6bc166a545153277b6
echo x - dfu-programmer/Makefile
sed 's/^X//' >dfu-programmer/Makefile << 'c77532e71f3c80ef502724409eb2b2c4'
X# New ports collection makefile for:   dfu-programmer
X# Date created:        16 July 2009
X# Whom:                elbarto@ArcadeBSD.org
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dfu-programmer
XPORTVERSION=	0.5.1
XCATEGORIES=	comms
XMASTER_SITES=	SF
X
XMAINTAINER=	elbarto@ArcadeBSD.org
XCOMMENT=	Dfu-programmer is a Device Firmware Update for Atmel chips
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib"
XMAKE_JOBS_SAFE=	yes
X
XPLIST_FILES=	bin/dfu-programmer
X
XMAN1=		dfu-programmer.1
XPORTDOCS=	*
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 800069
XLIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
X.endif
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
X	${INSTALL_MAN} ${WRKSRC}/docs/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X.endif
X
X.include <bsd.port.post.mk>
c77532e71f3c80ef502724409eb2b2c4
exit

--- dfu-programmer-0.5.1.shar ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov 2009-12-08 15:46:32 UTC
> Synopsis: New port: comms/dfu-programmer Programmer for USB Atmel device
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137020

Additional update: better COMMENT and WWW in pkg-descr.

--- dfu-programmer-0.5.1.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	dfu-programmer
#	dfu-programmer/distinfo
#	dfu-programmer/pkg-descr
#	dfu-programmer/Makefile
#
echo c - dfu-programmer
mkdir -p dfu-programmer > /dev/null 2>&1
echo x - dfu-programmer/distinfo
sed 's/^X//' >dfu-programmer/distinfo << '72f7528acab3532c3b1edb2bbc8f4e8f'
XMD5 (dfu-programmer-0.5.1.tar.gz) = 2c653fcb0aac1c52b0a5ab8a7ecd60ba
XSHA256 (dfu-programmer-0.5.1.tar.gz) = 3c875a0ed7a38302fc2fa956c0170851c4cce4dc82110c1fd5210b26cc4a8088
XSIZE (dfu-programmer-0.5.1.tar.gz) = 112283
72f7528acab3532c3b1edb2bbc8f4e8f
echo x - dfu-programmer/pkg-descr
sed 's/^X//' >dfu-programmer/pkg-descr << '0427d08578283a6bc166a545153277b6'
Xdfu-programmer is a Device Firmware Update based USB programmer
Xfor Atmel chips with a USB bootloader.
X
XWWW: http://dfu-programmer.sourceforge.net/
0427d08578283a6bc166a545153277b6
echo x - dfu-programmer/Makefile
sed 's/^X//' >dfu-programmer/Makefile << 'c77532e71f3c80ef502724409eb2b2c4'
X# New ports collection makefile for:   dfu-programmer
X# Date created:        16 July 2009
X# Whom:                elbarto@ArcadeBSD.org
X#
X# $FreeBSD$
X#
X
XPORTNAME=	dfu-programmer
XPORTVERSION=	0.5.1
XCATEGORIES=	comms
XMASTER_SITES=	SF
X
XMAINTAINER=	elbarto@ArcadeBSD.org
XCOMMENT=	Device Firmware Update based USB programmer for Atmel chips
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" LDFLAGS="-L${LOCALBASE}/lib"
XMAKE_JOBS_SAFE=	yes
X
XPLIST_FILES=	bin/dfu-programmer
X
XMAN1=		dfu-programmer.1
XPORTDOCS=	*
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 800069
XLIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
X.endif
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
X	${INSTALL_MAN} ${WRKSRC}/docs/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X.endif
X
X.include <bsd.port.post.mk>
c77532e71f3c80ef502724409eb2b2c4
exit

--- dfu-programmer-0.5.1.shar ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 Dmitry Marakasov freebsd_committer 2009-12-08 15:46:39 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 5 Emmanuel Vadot 2009-12-08 15:56:31 UTC
On Tue, 8 Dec 2009 18:46:32 +0300, Dmitry Marakasov <amdmi3@amdmi3.ru>
wrote:
>> Synopsis: New port: comms/dfu-programmer Programmer for USB Atmel
device
>> 
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=137020
> 
> Additional update: better COMMENT and WWW in pkg-descr.
> 
> --- dfu-programmer-0.5.1.shar begins here ---
> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	dfu-programmer
> #	dfu-programmer/distinfo
> #	dfu-programmer/pkg-descr
> #	dfu-programmer/Makefile
> #
> echo c - dfu-programmer
> mkdir -p dfu-programmer > /dev/null 2>&1
> echo x - dfu-programmer/distinfo
> sed 's/^X//' >dfu-programmer/distinfo <<
'72f7528acab3532c3b1edb2bbc8f4e8f'
> XMD5 (dfu-programmer-0.5.1.tar.gz) = 2c653fcb0aac1c52b0a5ab8a7ecd60ba
> XSHA256 (dfu-programmer-0.5.1.tar.gz) =
> 3c875a0ed7a38302fc2fa956c0170851c4cce4dc82110c1fd5210b26cc4a8088
> XSIZE (dfu-programmer-0.5.1.tar.gz) = 112283
> 72f7528acab3532c3b1edb2bbc8f4e8f
> echo x - dfu-programmer/pkg-descr
> sed 's/^X//' >dfu-programmer/pkg-descr <<
> '0427d08578283a6bc166a545153277b6'
> Xdfu-programmer is a Device Firmware Update based USB programmer
> Xfor Atmel chips with a USB bootloader.
> X
> XWWW: http://dfu-programmer.sourceforge.net/
> 0427d08578283a6bc166a545153277b6
> echo x - dfu-programmer/Makefile
> sed 's/^X//' >dfu-programmer/Makefile <<
'c77532e71f3c80ef502724409eb2b2c4'
> X# New ports collection makefile for:   dfu-programmer
> X# Date created:        16 July 2009
> X# Whom:                elbarto@ArcadeBSD.org
> X#
> X# $FreeBSD$
> X#
> X
> XPORTNAME=	dfu-programmer
> XPORTVERSION=	0.5.1
> XCATEGORIES=	comms
> XMASTER_SITES=	SF
> X
> XMAINTAINER=	elbarto@ArcadeBSD.org
> XCOMMENT=	Device Firmware Update based USB programmer for Atmel chips
> X
> XGNU_CONFIGURE=	yes
> XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include"
> LDFLAGS="-L${LOCALBASE}/lib"
> XMAKE_JOBS_SAFE=	yes
> X
> XPLIST_FILES=	bin/dfu-programmer
> X
> XMAN1=		dfu-programmer.1
> XPORTDOCS=	*
> X
> X.include <bsd.port.pre.mk>
> X
> X.if ${OSVERSION} < 800069
> XLIB_DEPENDS+=	usb-0.1.8:${PORTSDIR}/devel/libusb
> X.endif
> X
> Xdo-install:
> X	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
> X	${INSTALL_MAN} ${WRKSRC}/docs/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
> X.if !defined(NOPORTDOCS)
> X	${MKDIR} ${DOCSDIR}
> X	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
> X.endif
> X
> X.include <bsd.port.post.mk>
> c77532e71f3c80ef502724409eb2b2c4
> exit
> 
> --- dfu-programmer-0.5.1.shar ends here ---

 Seems ok to me.
 I'll update to the 0.5.2 version soon after it's commited.
 Thanks.

-- 
Emmanuel Vadot
elbarto@arcadebsd.org
Comment 6 Dmitry Marakasov freebsd_committer 2009-12-08 16:40:56 UTC
State Changed
From-To: feedback->open

Submitter has approved.
Comment 7 Dmitry Marakasov freebsd_committer 2009-12-08 17:15:12 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 8 dfilter service freebsd_committer 2009-12-08 17:15:12 UTC
amdmi3      2009-12-08 17:14:54 UTC

  FreeBSD ports repository

  Modified files:
    comms                Makefile 
  Added files:
    comms/dfu-programmer Makefile distinfo pkg-descr 
  Log:
  dfu-programmer is a Device Firmware Update based USB programmer
  for Atmel chips with a USB bootloader.
  
  WWW: http://dfu-programmer.sourceforge.net/
  
  PR:             137020
  Submitted by:   Emmanuel Vadot <elbarto@arcadebsd.org>
  
  Revision  Changes    Path
  1.210     +1 -0      ports/comms/Makefile
  1.1       +39 -0     ports/comms/dfu-programmer/Makefile (new)
  1.1       +3 -0      ports/comms/dfu-programmer/distinfo (new)
  1.1       +4 -0      ports/comms/dfu-programmer/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"